AAD Connect on Server 2019

%3CLINGO-SUB%20id%3D%22lingo-sub-319311%22%20slang%3D%22en-US%22%3EAAD%20Connect%20on%20Server%202019%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-319311%22%20slang%3D%22en-US%22%3E%3CP%3EHi%2C%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EHas%20there%20been%20any%20announcement%20on%20when%20the%20AAD%20Connect%20tool%20will%20be%20supported%20on%20Server%202019%3F%20Can%26nbsp%3Bonly%20see%20Windows%20Server%202019%20Essentials%20mentioned%20in%20the%20release%20notes.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EThanks.%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-LABS%20id%3D%22lingo-labs-319311%22%20slang%3D%22en-US%22%3E%3CLINGO-LABEL%3EAzure%20AD%3C%2FLINGO-LABEL%3E%3CLINGO-LABEL%3EAzure%20AD%20Connect%3C%2FLINGO-LABEL%3E%3C%2FLINGO-LABS%3E%3CLINGO-SUB%20id%3D%22lingo-sub-320027%22%20slang%3D%22en-US%22%3ERe%3A%20AAD%20Connect%20on%20Server%202019%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-320027%22%20slang%3D%22en-US%22%3E%3CP%3EThanks%20for%20the%20response%2C%20on%20the%20release%20notes%20it%20says%20it%20is%20supported%20for%20Windows%20server%20essentials%20from%20version%201.1.880.0.%26nbsp%3B%3C%2FP%3E%3CUL%3E%3CLI%3EAdded%20support%20for%20Windows%20Server%20Essentials%202019%3C%2FLI%3E%3C%2FUL%3E%3CP%3EWould%20like%20to%20have%20seen%20something%20on%20the%20AAD%20connect%20release%20notes%20referencing%20Windows%20Server%202019%20before%20advising%20the%20customer.%26nbsp%3B%26nbsp%3B%3C%2FP%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-319362%22%20slang%3D%22en-US%22%3ERe%3A%20AAD%20Connect%20on%20Server%202019%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-319362%22%20slang%3D%22en-US%22%3EWell%2C%20it%20says%20that%20it's%20not%20supported%20in%20Windows%20Server%202019%20Essentials%2C%20but%20it%20does%20not%20say%20it's%20not%20supported%20in%20Windows%20Server%202019...indeed%20it%20says%20it's%20supported%20on%20Windows%20Server%202012%20R2%20SP1%20or%20later%20%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fazure%2Factive-directory%2Fhybrid%2Fhow-to-connect-install-prerequisites%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%20noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fazure%2Factive-directory%2Fhybrid%2Fhow-to-connect-install-prerequisites%3C%2FA%3E%3C%2FLINGO-BODY%3E%3CLINGO-SUB%20id%3D%22lingo-sub-1442729%22%20slang%3D%22en-US%22%3ERe%3A%20AAD%20Connect%20on%20Server%202019%3C%2FLINGO-SUB%3E%3CLINGO-BODY%20id%3D%22lingo-body-1442729%22%20slang%3D%22en-US%22%3E%3CP%3EFollowing%20up%20on%20this%20old%20thread.%26nbsp%3B%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3ETo%20the%20best%20of%20my%20knowledge%20there%20is%20still%20no%20official%20Microsoft%20doc%20stating%20that%20AAD%20Connect%20is%20fully%20supported%20on%20Windows%20Server%202019.%26nbsp%3BThe%20doc%26nbsp%3B%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fazure%2Factive-directory%2Fhybrid%2Fhow-to-connect-install-prerequisites%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fazure%2Factive-directory%2Fhybrid%2Fhow-to-connect-install-prerequisites%3C%2FA%3E%26nbsp%3B(mentioned%20in%20a%20previus%20post)%20still%20only%20states%20that%20%22%3CSPAN%3EWindows%20Server%20Essentials%202019%20is%20supported%22%20and%20%22The%20server%20must%20be%20using%20Windows%20Server%20standard%20or%20better.%22%3C%2FSPAN%3E%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3EProblem%20is%2C%20the%20version%20of%20LocalDB%20installed%20with%20AAD%20Connect%20is%20%22Microsoft%20SQL%20Server%202012%20(SP4-OD)%20(KB4091266)%20-%2011.0.7469.6%20(X64)%22%20--%20Which%20is%20not%20supported%20on%20Windows%20Server%202019(%3F)%3CBR%20%2F%3E%3CBR%20%2F%3EThe%20info%26nbsp%3B%40%26nbsp%3B%3CA%20href%3D%22https%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fwindows-server%2Fget-started-19%2Fapp-compat-19%22%20target%3D%22_blank%22%20rel%3D%22noopener%20noreferrer%20noopener%20noreferrer%22%3Ehttps%3A%2F%2Fdocs.microsoft.com%2Fen-us%2Fwindows-server%2Fget-started-19%2Fapp-compat-19%3C%2FA%3E%26nbsp%3Blists%20SQL%20Server%202014%20as%20the%20oldest%20version%20of%20SQL%20Server%20supported%20for%20Windows%20Server%202019.%3C%2FP%3E%3CP%3E%26nbsp%3B%3C%2FP%3E%3CP%3ESo%2C%20(why)%20is%20AAD%20Connect%20seemingly%20supported%20on%20WSRV%202019%2C%20even%20though%20the%20version%20of%20SQL%20Server%20installed%20(LocalDB%20based%20on%20SQL%20Server%202012%20Express)%20seems%20not%20to%20be%3F%3C%2FP%3E%3C%2FLINGO-BODY%3E
Highlighted
Occasional Contributor

Hi,

 

Has there been any announcement on when the AAD Connect tool will be supported on Server 2019? Can only see Windows Server 2019 Essentials mentioned in the release notes.

 

Thanks.

3 Replies
Highlighted
Well, it says that it's not supported in Windows Server 2019 Essentials, but it does not say it's not supported in Windows Server 2019...indeed it says it's supported on Windows Server 2012 R2 SP1 or later https://docs.microsoft.com/en-us/azure/active-directory/hybrid/how-to-connect-install-prerequisites
Highlighted

Thanks for the response, on the release notes it says it is supported for Windows server essentials from version 1.1.880.0. 

  • Added support for Windows Server Essentials 2019

Would like to have seen something on the AAD connect release notes referencing Windows Server 2019 before advising the customer.  

Highlighted

Following up on this old thread. 

 

To the best of my knowledge there is still no official Microsoft doc stating that AAD Connect is fully supported on Windows Server 2019. The doc https://docs.microsoft.com/en-us/azure/active-directory/hybrid/how-to-connect-install-prerequisites (mentioned in a previus post) still only states that "Windows Server Essentials 2019 is supported" and "The server must be using Windows Server standard or better."

 

Problem is, the version of LocalDB installed with AAD Connect is "Microsoft SQL Server 2012 (SP4-OD) (KB4091266) - 11.0.7469.6 (X64)" -- Which is not supported on Windows Server 2019(?)

The info @ https://docs.microsoft.com/en-us/windows-server/get-started-19/app-compat-19 lists SQL Server 2014 as the oldest version of SQL Server supported for Windows Server 2019.

 

So, (why) is AAD Connect seemingly supported on WSRV 2019, even though the version of SQL Server installed (LocalDB based on SQL Server 2012 Express) seems not to be?